Package org.codehaus.groovy.antlr.treewalker

# Class NodeAsHTMLPrinter

java.lang.Object
org.codehaus.groovy.antlr.treewalker.VisitorAdapter
org.codehaus.groovy.antlr.treewalker.NodeAsHTMLPrinter

All Implemented Interfaces:
  `Visitor`

    public class NodeAsHTMLPrinter
    extends VisitorAdapter

A visitor that prints a html tags of each node to the supplied PrintStream

- ## Field Summary

  ### Fields inherited from interface org.codehaus.groovy.antlr.treewalker.Visitor

  `CLOSING_VISIT, OPENING_VISIT, SECOND_VISIT, SUBSEQUENT_VISIT`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NodeAsHTMLPrinter​(java.io.PrintStream out, java.lang.String[] tokenNames)` | A visitor that prints a html tags, for each node, to the supplied PrintStream.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `GroovySourceAST` | `pop()` |
  `void` | `push​(GroovySourceAST t)` |
  `void` | `setUp()` |
  `void` | `tearDown()` |
  `void` | `visitDefault​(GroovySourceAST t, int visit)` |

  ### Methods inherited from class org.codehaus.groovy.antlr.treewalker.VisitorAdapter

  `visitAbstract, visitAnnotation, visitAnnotationArrayInit, visitAnnotationDef, visitAnnotationFieldDef, visitAnnotationMemberValuePair, visitAnnotations, visitArrayDeclarator, visitAssign, visitAt, visitBand, visitBandAssign, visitBigSuffix, visitBlock, visitBnot, visitBor, visitBorAssign, visitBsr, visitBsrAssign, visitBxor, visitBxorAssign, visitCaseGroup, visitClassDef, visitClosedBlock, visitClosureList, visitClosureOp, visitColon, visitComma, visitCompareTo, visitCtorCall, visitCtorIdent, visitDec, visitDigit, visitDiv, visitDivAssign, visitDollar, visitDot, visitDynamicMember, visitElist, visitEmptyStat, visitEnumConstantDef, visitEnumDef, visitEof, visitEqual, visitEsc, visitExponent, visitExpr, visitExtendsClause, visitFinal, visitFloatSuffix, visitForCondition, visitForEachClause, visitForInit, visitForInIterable, visitForIterator, visitGe, visitGt, visitHexDigit, visitIdent, visitImplementsClause, visitImplicitParameters, visitImport, visitInc, visitIndexOp, visitInstanceInit, visitInterfaceDef, visitLabeledArg, visitLabeledStat, visitLand, visitLbrack, visitLcurly, visitLe, visitLetter, visitListConstructor, visitLiteralAs, visitLiteralAssert, visitLiteralBoolean, visitLiteralBreak, visitLiteralByte, visitLiteralCase, visitLiteralCatch, visitLiteralChar, visitLiteralClass, visitLiteralContinue, visitLiteralDef, visitLiteralDefault, visitLiteralDouble, visitLiteralElse, visitLiteralEnum, visitLiteralExtends, visitLiteralFalse, visitLiteralFinally, visitLiteralFloat, visitLiteralFor, visitLiteralIf, visitLiteralImplements, visitLiteralImport, visitLiteralIn, visitLiteralInstanceof, visitLiteralInt, visitLiteralInterface, visitLiteralLong, visitLiteralNative, visitLiteralNew, visitLiteralNull, visitLiteralPackage, visitLiteralPrivate, visitLiteralProtected, visitLiteralPublic, visitLiteralReturn, visitLiteralShort, visitLiteralStatic, visitLiteralSuper, visitLiteralSwitch, visitLiteralSynchronized, visitLiteralThis, visitLiteralThreadsafe, visitLiteralThrow, visitLiteralThrows, visitLiteralTransient, visitLiteralTrue, visitLiteralTry, visitLiteralVoid, visitLiteralVolatile, visitLiteralWhile, visitLnot, visitLor, visitLparen, visitLt, visitMapConstructor, visitMemberPointer, visitMethodCall, visitMethodDef, visitMinus, visitMinusAssign, visitMlComment, visitMod, visitModAssign, visitModifiers, visitMultiCatch, visitMultiCatchTypes, visitNls, visitNotEqual, visitNullTreeLookahead, visitNumBigDecimal, visitNumBigInt, visitNumDouble, visitNumFloat, visitNumInt, visitNumLong, visitObjblock, visitOneNl, visitOptionalDot, visitPackageDef, visitParameterDef, visitParameters, visitPlus, visitPlusAssign, visitPostDec, visitPostInc, visitQuestion, visitRangeExclusive, visitRangeInclusive, visitRbrack, visitRcurly, visitRegexFind, visitRegexMatch, visitRegexpCtorEnd, visitRegexpLiteral, visitRegexpSymbol, visitRparen, visitSelectSlot, visitSemi, visitShComment, visitSl, visitSlAssign, visitSlComment, visitSlist, visitSpreadArg, visitSpreadDot, visitSpreadMapArg, visitSr, visitSrAssign, visitStar, visitStarAssign, visitStarStar, visitStarStarAssign, visitStaticImport, visitStaticInit, visitStrictfp, visitStringCh, visitStringConstructor, visitStringCtorEnd, visitStringCtorMiddle, visitStringCtorStart, visitStringLiteral, visitStringNl, visitSuperCtorCall, visitTraitDef, visitTripleDot, visitType, visitTypeArgument, visitTypeArguments, visitTypecast, visitTypeLowerBounds, visitTypeParameter, visitTypeParameters, visitTypeUpperBounds, visitUnaryMinus, visitUnaryPlus, visitUnusedConst, visitUnusedDo, visitUnusedGoto, visitVariableDef, visitVariableParameterDef, visitVocab, visitWildcardType, visitWs`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NodeAsHTMLPrinter

    public NodeAsHTMLPrinter​(java.io.PrintStream out, java.lang.String[] tokenNames)
    A visitor that prints a html tags, for each node, to the supplied PrintStream.
    Parameters:
      `out` - supplied PrintStream to output nodes to
      `tokenNames` - an array of token names to use

- ## Method Details

  - ### setUp

    public void setUp()
    Specified by:
      `setUp` in interface `Visitor`
    Overrides:
      `setUp` in class `VisitorAdapter`

  - ### visitDefault

    public void visitDefault​(GroovySourceAST t, int visit)
    Specified by:
      `visitDefault` in interface `Visitor`
    Overrides:
      `visitDefault` in class `VisitorAdapter`

  - ### tearDown

    public void tearDown()
    Specified by:
      `tearDown` in interface `Visitor`
    Overrides:
      `tearDown` in class `VisitorAdapter`

  - ### push

    public void push​(GroovySourceAST t)
    Specified by:
      `push` in interface `Visitor`
    Overrides:
      `push` in class `VisitorAdapter`

  - ### pop

    public GroovySourceAST pop()
    Specified by:
      `pop` in interface `Visitor`
    Overrides:
      `pop` in class `VisitorAdapter`